Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1686353 - flooding of "dict is NULL" logging
Summary: flooding of "dict is NULL" logging
Keywords:
Status: NEW
Alias: None
Product: GlusterFS
Classification: Community
Component: libgfapi
Version: 4.1
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact: bugs@gluster.org
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-07 10:13 UTC by ryan
Modified: 2019-03-19 10:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1313567 None CLOSED flooding of "dict is NULL" logging 2019-03-21 09:57:30 UTC

Description ryan 2019-03-07 10:13:24 UTC
Description of problem:
Same issue as in bug 1313567, but is happening with VFS clients.

Version-Release number of selected component (if applicable):
4.1.7

How reproducible:
Every gluster system upgraded to 4.1.7


Steps to Reproduce:
1.Upgrade 3.12 system to 4.1.7

Actual results:
Log file is filled with error and eventually consumes all available storage space

Expected results:
Log file is not filled with error


Additional info:

Comment 1 ryan 2019-03-07 10:30:49 UTC
Errors in log:
[2019-03-07 10:24:23.718001] W [dict.c:671:dict_ref] (-->/usr/lib64/glusterfs/4.1.7/xlator/performance/quick-read.so(+0x5db4) [0x7f8efe647db4] -->/usr/lib64/glusterfs/4.1.7/xlator/performance/io-cache.so(+0xae2e) [0x7f8efe858e2e] -->/lib64/libglusterfs.so.0(dict_ref+0x5d) [0x7f8f095adf1d] ) 0-dict: dict is NULL [Invalid argument]
[2019-03-07 10:24:23.719257] W [dict.c:671:dict_ref] (-->/usr/lib64/glusterfs/4.1.7/xlator/performance/quick-read.so(+0x5db4) [0x7f8efe647db4] -->/usr/lib64/glusterfs/4.1.7/xlator/performance/io-cache.so(+0xae2e) [0x7f8efe858e2e] -->/lib64/libglusterfs.so.0(dict_ref+0x5d) [0x7f8f095adf1d] ) 0-dict: dict is NULL [Invalid argument]
[2019-03-07 10:24:23.720557] W [dict.c:671:dict_ref] (-->/usr/lib64/glusterfs/4.1.7/xlator/performance/quick-read.so(+0x5db4) [0x7f8efe647db4] -->/usr/lib64/glusterfs/4.1.7/xlator/performance/io-cache.so(+0xae2e) [0x7f8efe858e2e] -->/lib64/libglusterfs.so.0(dict_ref+0x5d) [0x7f8f095adf1d] ) 0-dict: dict is NULL [Invalid argument]
[2019-03-07 10:24:23.722291] W [dict.c:671:dict_ref] (-->/usr/lib64/glusterfs/4.1.7/xlator/performance/quick-read.so(+0x5db4) [0x7f8efe647db4] -->/usr/lib64/glusterfs/4.1.7/xlator/performance/io-cache.so(+0xae2e) [0x7f8efe858e2e] -->/lib64/libglusterfs.so.0(dict_ref+0x5d) [0x7f8f095adf1d] ) 0-dict: dict is NULL [Invalid argument]
[2019-03-07 10:24:24.457847] W [dict.c:671:dict_ref] (-->/usr/lib64/glusterfs/4.1.7/xlator/performance/quick-read.so(+0x5db4) [0x7f8efe647db4] -->/usr/lib64/glusterfs/4.1.7/xlator/performance/io-cache.so(+0xae2e) [0x7f8efe858e2e] -->/lib64/libglusterfs.so.0(dict_ref+0x5d) [0x7f8f095adf1d] ) 0-dict: dict is NULL [Invalid argument]
[2019-03-07 10:24:24.457888] W [dict.c:671:dict_ref] (-->/usr/lib64/glusterfs/4.1.7/xlator/performance/quick-read.so(+0x5db4) [0x7f8efe647db4] -->/usr/lib64/glusterfs/4.1.7/xlator/performance/io-cache.so(+0xae2e) [0x7f8efe858e2e] -->/lib64/libglusterfs.so.0(dict_ref+0x5d) [0x7f8f095adf1d] ) 0-dict: dict is NULL [Invalid argument]
[2019-03-07 10:24:24.458852] W [dict.c:671:dict_ref] (-->/usr/lib64/glusterfs/4.1.7/xlator/performance/quick-read.so(+0x5db4) [0x7f8efe647db4] -->/usr/lib64/glusterfs/4.1.7/xlator/performance/io-cache.so(+0xae2e) [0x7f8efe858e2e] -->/lib64/libglusterfs.so.0(dict_ref+0x5d) [0x7f8f095adf1d] ) 0-dict: dict is NULL [Invalid argument]
[2019-03-07 10:24:24.458907] W [dict.c:671:dict_ref] (-->/usr/lib64/glusterfs/4.1.7/xlator/performance/quick-read.so(+0x5db4) [0x7f8efe647db4] -->/usr/lib64/glusterfs/4.1.7/xlator/performance/io-cache.so(+0xae2e) [0x7f8efe858e2e] -->/lib64/libglusterfs.so.0(dict_ref+0x5d) [0x7f8f095adf1d] ) 0-dict: dict is NULL [Invalid argument]
[2019-03-07 10:24:24.459093] W [dict.c:671:dict_ref] (-->/usr/lib64/glusterfs/4.1.7/xlator/performance/quick-read.so(+0x5db4) [0x7f8efe647db4] -->/usr/lib64/glusterfs/4.1.7/xlator/performance/io-cache.so(+0xae2e) [0x7f8efe858e2e] -->/lib64/libglusterfs.so.0(dict_ref+0x5d) [0x7f8f095adf1d] ) 0-dict: dict is NULL [Invalid argument]


Note You need to log in before you can comment on or make changes to this bug.